---
title: List API Key
url: https://docs.vultr.com/platform/other/api/current-user/list-api-key
description: List Vultr current user API keys to review, manage, and rotate credentials securely.

publish_date: 2025-09-17T16:34:10.180566Z
last_updated: 2025-09-17T16:37:32.440660Z
---

Listing API keys for the current user allows you to review active credentials, view access control, and manage key rotation securely. Regularly reviewing keys ensures you maintain proper access control and detect unused or compromised keys.
Follow this guide to list your current user API keys in the Vultr Console or through the Vultr API.
=== "Vultr Console"
    1. Navigate to **Dashboard** and select **Vultr API** under **Orchestration**.
    1. In the **User Access Tokens** section, view all API keys associated with your current logged in user account, including their names, creation dates, and expiry information.

=== "Vultr API"
    1. Send a `GET` request to the [**List API Keys** endpoint](https://www.vultr.com/api/#tag/api-keys/operation/list-api-keys) to list all API keys for your current user account.
        ```console
        $ curl "https://api.vultr.com/v2/apikeys" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. (Optional) Send a `GET` request to the [**Get API Key** endpoint](https://www.vultr.com/api/#tag/api-keys/operation/get-api-key) to retrieve detailed information for a single API key by using its ID.

        ```console
        $ curl "https://api.vultr.com/v2/apikeys/{apikey-id}" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```
